Bug 1627 - udhcp keeps spewing requests long after getting a lease
: udhcp keeps spewing requests long after getting a lease
Status: RESOLVED FIXED
Product: Connectivity
Networking
: 3.2
: N800 Maemo
: Low normal with 2 votes (vote)
: 4.0
Assigned To: unassigned
: networking-bugs
:
: performance
:
:
  Show dependency tree
 
Reported: 2007-07-07 13:49 UTC by Leif Ryge
Modified: 2008-12-01 15:55 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Leif Ryge (reporter) 2007-07-07 13:49:11 UTC
On some access points, particularly a Belkin 802.11b cable/dsl router but
others too, the N800 continues to send DHCP requests at a rate of several
kilobytes/sec for many minutes after successfully getting a DHCP lease. Using
the Connection manager program, I can see the bytes sent and received steadily
increase. Using tcpdump I can observe the flood of DHCP requests (and
responses). Running "dbus-monitor --system" I see a continuous stream of
messages like this:

string ""
string ":1.15253"
signal sender=org.freedesktop.DBus -> dest=(null destination)
interface=org.freedesktop.DBus; member=NameOwnerChanged
 string ":1.15253"
string ":1.15253"

The dbus messages stop at the same time as the dhcp queries, which is not at a
predictable interval. Sometimes it is less than a minute, often it takes more
than 10 minutes. Sometimes, when this goes on for a long time, the AP hangs and
needs to be manually reset. Aside from when that happens, all of my other
wireless devices (various computers and a 770 with ITOS2006) have no problems
with this network.

I have observed this behavior in all versions of the N800 software up to and
including 4.2007; I recall seeing a mailing list post about this precise issue
(minus mention of dbus) in January and I somehow expected a bug must have been
filed before now... but I don't see one. Bug #1170 might be caused by this,
though. The N800 is able to access the internet (albeit at limited speeds)
while this is happening, so it is possible to be affected and not to notice it.
I have even made gizmo calls while this is happening.

A workaround to prevent this from happening is to manually configure a static
IP for the affected network in the advanced section of the connection manager.
This is presently the only way I know how to make N800s not denial-of-service
my wifi network.
Comment 1 Marcus Groeber 2007-09-16 15:36:02 UTC
I can confirm both the behaviour (continous transfer of about 10k/s upstream
and 4k/s downstream in idle right after powering up and connecting) as well as
the fix (setting a static IP address) for the following combination:

 - N800 with ITOS2007 4.2007.26-8
 - Sinus 154 DSL Basic SE with 1.12 firmware (a common WLAN router distributed
by Deutsche Telekom)

Hope this gets the issues with unpredictable battery life of the N800 fixed
that I have been plagued by so far...
Comment 2 Aapo Makela nokia 2007-12-04 10:02:08 UTC
OS2008 has more recent udhcpc version. Are you experiencing this bug with it?
Comment 3 Leif Ryge (reporter) 2008-08-29 02:57:45 UTC
I haven't seen this bug occur since OS2007, but the Belkin AP that reliably
triggered it eventually died so I am unable to confirm if it has been fixed in
OS2008.
Comment 4 Andre Klapper maemo.org 2008-12-01 15:55:00 UTC
> I haven't seen this bug occur since OS2007

Assuming that this has been fixed based on reporter's comment.

Marcus, as you might probably be able to still test this:
Please reopen this report if this is still an issue in the latest Diablo
(4.2008.36-5). Thanks.